> For the complete documentation index, see [llms.txt](https://docs.adsecure.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adsecure.com/api/graphql/project.md).

# Project

```
version   : 0.0.0
stability : stable
```

## Objects

### Project

Fields

| Name            | Type                                                       | Description                                 |
| --------------- | ---------------------------------------------------------- | ------------------------------------------- |
| organization    | [Organization!](/api/graphql/organization.md#organization) | Owner organization.                         |
| account         | [Account!](/api/graphql/account.md#account)                | Owner account.                              |
| owner           | [User!](/api/graphql/viewer.md#user)                       | Owner user.                                 |
| id              | [ID!](/api/graphql/scalars.md#id)                          | The project's identifier                    |
| login           | [String!](/api/graphql/scalars.md#string)                  | The project's login name.                   |
| alertRule       | [AlertRule](/api/graphql/alertrule.md#alertrule)           | The alert rule for the Analysis             |
| name            | [String!](/api/graphql/scalars.md#string)                  | The project's name                          |
| createdAt       | [DateTime!](/api/graphql/scalars.md#datetime)              | The project's creation time                 |
| updatedAt       | [DateTime!](/api/graphql/scalars.md#datetime)              | The project's update time                   |
| status          | [ProjectStatus!](/api/graphql/enums.md#projectstatus)      | The project's status                        |
| locations       | [\[String\]!](/api/graphql/scalars.md#string)              | List of the project's locations             |
| notifications   | [\[String\]](/api/graphql/scalars.md#string)               | List of the project's notifications         |
| devices         | [\[String\]!](/api/graphql/scalars.md#string)              | List of the project devices                 |
| lastScheduledAt | [DateTime](/api/graphql/scalars.md#datetime)               | Time for the next iteration of the project  |
| interval        | [Int!](/api/graphql/scalars.md#int)                        | Interval of the project's iterations        |
| iterations      | [Int!](/api/graphql/scalars.md#int)                        | Number of current iterations of the project |
| maxIterations   | [Int!](/api/graphql/scalars.md#int)                        | Number of maximum iterations of the project |
| content         | [String!](/api/graphql/scalars.md#string)                  | The URL/HTML snippet to analyze             |
| preset          | [PresetList!](/api/graphql/enums.md#presetlist)            | The preset for the Project.                 |

### ProjectEdge

Fields

| Name   | Type                                       | Description |
| ------ | ------------------------------------------ | ----------- |
| cursor | [ID!](/api/graphql/scalars.md#id)          | -           |
| node   | [Project](/api/graphql/project.md#project) | -           |

### PageInfo

Information about type pagination in a connection. Fields

| Name            | Type                                        | Description                                        |
| --------------- | ------------------------------------------- | -------------------------------------------------- |
| startCursor     | [ID](/api/graphql/scalars.md#id)            | When paginating backwards, the cursor to continue. |
| endCursor       | [ID](/api/graphql/scalars.md#id)            | When paginating forwards, the cursor to continue.  |
| hasNextPage     | [Boolean!](/api/graphql/scalars.md#boolean) | When paginating forwards, are there more items?    |
| hasPreviousPage | [Boolean!](/api/graphql/scalars.md#boolean) | When paginating backwards, are there more items?   |

### ProjectConnection

Fields

| Name     | Type                                                    | Description |
| -------- | ------------------------------------------------------- | ----------- |
| edges    | [\[ProjectEdge\]!](/api/graphql/project.md#projectedge) | -           |
| nodes    | [\[Project\]!](/api/graphql/project.md#project)         | -           |
| pageInfo | [PageInfo!](/api/graphql/violation.md#pageinfo)         | -           |

## Queries

### `project`

Returns: [Project](/api/graphql/project.md#project)

Arguments

| Name  | Type                                      | Description |
| ----- | ----------------------------------------- | ----------- |
| login | [String!](/api/graphql/scalars.md#string) | -           |

### `projects`

Returns: [ProjectConnection](/api/graphql/project.md#projectconnection)

Arguments

| Name  | Type                                     | Description |
| ----- | ---------------------------------------- | ----------- |
| first | [Int!](/api/graphql/scalars.md#int)      | -           |
| after | [String](/api/graphql/scalars.md#string) | -           |

## Mutations

### `createProject`

Returns: [Project](/api/graphql/project.md#project)

Arguments

| Name  | Type                                                                              | Description |
| ----- | --------------------------------------------------------------------------------- | ----------- |
| input | [CreateProjectMutationInput!](/api/graphql/project.md#createprojectmutationinput) | -           |

### `updateProject`

Returns: [Project](/api/graphql/project.md#project)

Arguments

| Name  | Type                                                                              | Description |
| ----- | --------------------------------------------------------------------------------- | ----------- |
| input | [UpdateProjectMutationInput!](/api/graphql/project.md#updateprojectmutationinput) | -           |

### `deleteProject`

Returns: [Project](/api/graphql/project.md#project)

Arguments

| Name  | Type                                                                              | Description |
| ----- | --------------------------------------------------------------------------------- | ----------- |
| input | [DeleteProjectMutationInput!](/api/graphql/project.md#deleteprojectmutationinput) | -           |

## Inputs

### `CreateProjectMutationInput`

Fields

| Name          | Type                                                         | Description                                                                          | Default                    |
| ------------- | ------------------------------------------------------------ | ------------------------------------------------------------------------------------ | -------------------------- |
| name          | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The project's name, allowed characters are alphanumeric, whitespace as well as -\_() | .,/:+# (max 64 characters) |
| status        | [ProjectStatus](/api/graphql/enums.md#projectstatus)         | The project's status                                                                 | -                          |
| locations     | [\[LocationInput\]](#\[LocationInput])                       | List of the project locations                                                        | -                          |
| notifications | [\[String\]](/api/graphql/scalars.md#string)                 | List of the project's notifications                                                  | -                          |
| devices       | [\[String\]](/api/graphql/scalars.md#string)                 | List of the project devices                                                          | -                          |
| interval      | [ConstraintNumber](/api/graphql/scalars.md#constraintnumber) | Interval of the project's iterations                                                 | -                          |
| maxIterations | [Int](/api/graphql/scalars.md#int)                           | Number of maximum iterations of the project                                          | -                          |
| content       | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The URL/HTML snippet to analyze                                                      | -                          |
| alertRule     | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The alert rule for the Analysis                                                      | -                          |
| preset        | [PresetList](/api/graphql/enums.md#presetlist)               | The preset for the Project.                                                          | -                          |

### `UpdateProjectMutationInput`

Fields

| Name            | Type                                                         | Description                                                                          | Default                    |
| --------------- | ------------------------------------------------------------ | ------------------------------------------------------------------------------------ | -------------------------- |
| login           | [String](/api/graphql/scalars.md#string)                     | The project's login name.                                                            | -                          |
| name            | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The project's name, allowed characters are alphanumeric, whitespace as well as -\_() | .,/:+# (max 64 characters) |
| locations       | [\[LocationInput\]](#\[LocationInput])                       | List of the project locations                                                        | -                          |
| notifications   | [\[String\]](/api/graphql/scalars.md#string)                 | List of the project's notifications                                                  | -                          |
| devices         | [\[String\]](/api/graphql/scalars.md#string)                 | List of the project devices                                                          | -                          |
| status          | [ProjectStatus](/api/graphql/enums.md#projectstatus)         | The project's status                                                                 | -                          |
| lastScheduledAt | [DateTime](/api/graphql/scalars.md#datetime)                 | Time for the next iteration of the project                                           | -                          |
| interval        | [ConstraintNumber](/api/graphql/scalars.md#constraintnumber) | Interval of the project's iterations                                                 | -                          |
| iterations      | [Int](/api/graphql/scalars.md#int)                           | Number of current iterations of the project                                          | -                          |
| maxIterations   | [Int](/api/graphql/scalars.md#int)                           | Number of maximum iterations of the project                                          | -                          |
| content         | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The URL/HTML snippet to analyze                                                      | -                          |
| alertRule       | [ConstraintString](/api/graphql/scalars.md#constraintstring) | The alert rule for the Analysis                                                      | -                          |
| preset          | [PresetList](/api/graphql/enums.md#presetlist)               | The preset for the Project.                                                          | -                          |

### `DeleteProjectMutationInput`

Fields

| Name  | Type                                     | Description          | Default |
| ----- | ---------------------------------------- | -------------------- | ------- |
| login | [String](/api/graphql/scalars.md#string) | The project's login. | -       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.adsecure.com/api/graphql/project.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
